%global bundle org.apache.felix.configadmin

Name:          felix-configadmin
Version:       1.2.4
Release:       %mkrel 1
Summary:       Apache Felix Configuration Admin Service
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
#Source0:       http://www.apache.org/dist/felix/org.apache.felix.configadmin-%{version}-project.tar.gz
# svn export https://svn.apache.org/repos/asf/felix/releases/org.apache.felix.configadmin-1.2.4/
# tar czf org.apache.felix.configadmin-1.2.4-src-svn.tar.gz org.apache.felix.configadmin-1.2.4
Source0:       org.apache.felix.configadmin-1.2.4-src-svn.tar.gz
# remove Pax Exam
Patch0:        felix-configadmin-1.2.4-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

BuildRequires: felix-parent
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: junit4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Implementation of the OSGi Configuration Admin Service Specification 1.2.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0

%build
# test require Pax Exam
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.2.4-1.mga2
+ Revision: 131898
- Clean spec file

  + gil <gil>
    - imported package felix-configadmin

